Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.geom
Interface Matrix

All Known Implementing Classes:
  Matrix4

    public interface Matrix

The interface World Wind uses to interact with matrices. This interface can be implemented by an application's own matrix classes. World Wind will then use instances of those classes for matrix manipulation.

Method Summary
`Matrix` | `add(Matrix m)`
`double` | `determinant()`
`double[]` | `getEntries()`
`Matrix` | `getInverse()`
`Matrix` | `getTranspose()`
`boolean` | `isOrthonormal()`
`Matrix` | `multiply(Matrix m)`
`Matrix` | `rotate(Angle rotation, double axisX, double axisY, double axisZ)`
`Matrix` | `rotateX(Angle rotation)`
`Matrix` | `rotateY(Angle rotation)`
`Matrix` | `rotateZ(Angle rotation)`
`Matrix` | `setToIdentity()`
`Point` | `transform(Point p)`
`Matrix` | `translate(double x, double y, double z)`
`Matrix` | `translate(Point p)`

Method Detail

### add

    Matrix add(Matrix m)

### determinant

    double determinant()

### getEntries

    double[] getEntries()

### getInverse

    Matrix getInverse()

### getTranspose

    Matrix getTranspose()

### isOrthonormal

    boolean isOrthonormal()

### multiply

    Matrix multiply(Matrix m)

### rotate

    Matrix rotate(Angle rotation,
                  double axisX,
                  double axisY,
                  double axisZ)

### rotateX

    Matrix rotateX(Angle rotation)

### rotateY

    Matrix rotateY(Angle rotation)

### rotateZ

    Matrix rotateZ(Angle rotation)

### setToIdentity

    Matrix setToIdentity()

### transform

    Point transform(Point p)

### translate

    Matrix translate(double x,
                     double y,
                     double z)

### translate

    Matrix translate(Point p)

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD